# Server configuration
PEERTUBE_WEBSERVER_HOSTNAME=peertube.test.picasoft.net
# If you do not use https and a reverse-proxy in docker-compose.yml
#PEERTUBE_WEBSERVER_PORT=80
#PEERTUBE_WEBSERVER_HTTPS=false
# If you need more than one IP as trust_proxy
# pass them as a comma separated array:
PEERTUBE_TRUST_PROXY=["127.0.0.1", "loopback", "172.18.0.0/16"]
# Generate one using `openssl rand -hex 32`
PEERTUBE_SECRET=tototata

# E-mail configuration
# If you use a Custom SMTP server
PEERTUBE_SMTP_USERNAME=peertube
PEERTUBE_SMTP_PASSWORD=ChangeMe
# Default to Postfix service name "postfix" in docker-compose.yml
# May be the hostname of your Custom SMTP server
PEERTUBE_SMTP_HOSTNAME=mail.picasoft.net
PEERTUBE_SMTP_PORT=587
PEERTUBE_SMTP_FROM=peertube@picasoft.net
PEERTUBE_SMTP_TLS=false
PEERTUBE_SMTP_DISABLE_STARTTLS=false
PEERTUBE_ADMIN_EMAIL=peertube@picasoft.net

# /!\ Prefer to use the PeerTube admin interface to set the following configurations /!\
#PEERTUBE_SIGNUP_ENABLED=true
#PEERTUBE_TRANSCODING_ENABLED=true
#PEERTUBE_TRANSCODING_WEB_VIDEOS_ENABLED=true
#PEERTUBE_CONTACT_FORM_ENABLED=true
